import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';
import { PrimeNGModules } from '../commons/prime-ng/prime-ng.module';
import { COMPONENTS } from './component';
import { SERVICES } from './service';
import { SensorStoreModule } from './sensor-store.module';
import { SensorItemModule } from '../sensor-item/sensor-item.module';
import { KeyValueModule } from '@overflow/commons/component/key-value/key-value.module';
import { CONTAINER_COMPONENTS } from './container';
// import { MetaCrawlerModule } from '../meta/crawler/crawler.module';
// import { MetaSensorDisplayItemModule } from '../meta/sensor-display-item/sensor-display-item.module';
// import { MetaCrawlerInputItemModule } from '../meta/crawler-input-item/crawler-input.module';

@NgModule({
    imports: [
        CommonModule,
        FormsModule,
        SensorStoreModule,
        PrimeNGModules,
        SensorItemModule,
        // MetaCrawlerModule,
        // MetaSensorDisplayItemModule,
        KeyValueModule
    ],
    declarations: [
        CONTAINER_COMPONENTS,
        COMPONENTS,
    ],
    exports: [
        CONTAINER_COMPONENTS,
        COMPONENTS,
    ],
    providers: [
        SERVICES,
    ]
})
export class SensorModule { }

