import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import { ProbeTabPageComponent } from './probe-tab-page.component';

const routes: Routes = [
  {
    path: '',
    component: ProbeTabPageComponent,
    children: [
      { path: 'list', loadChildren: './probe/probe-page.module#ProbePageModule' },
      { path: 'noauth', loadChildren: './noauth-probe/noauth-probe-page.module#NoAuthProbePageModule' },
      { path: 'download', loadChildren: './download/download-page.module#ProbeDownloadPageModule' },
      { path: ':id/info', loadChildren: './probe/probe-page.module#ProbePageModule' },
      // { path: ':id/targets', loadChildren: 'app/pages/targets/targets-page.module#TargetsPageModule'},
      { path: ':id/history', component: null },
    ]
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class ProbeTabPageRoutingModule { }
